//
//  module  : appsys.prg
//  auteur  : rene nooteboom
//  language: xbase++
//  date    : april 2006
//  updated : 02/09/2006 17:41
//  comment : based on the default appsys.prg
//            creates a hybride XbpCrt - window

#include "common.ch"
#include "noot.ch"
#include "ftritest.ch"

PROCEDURE AppSys()

#define DEF_ROWS       25  // maxrow() + 1 , 0 - 24
#define DEF_COLS       80  // maxcol() + 1 , 0 - 79

 LOCAL oCrt,aSizeDesktop,nFontWidth,nFontHeight

 aSizeDesktop    := AppDesktop():currentSize()
 IF aSizeDesktop[1] > 900  // X  breedte
  nFontWidth := 10 // 10 * 80 = 800 pixels
 ELSEIF aSizeDesktop[1] > 740
   nFontWidth := 8  // 8 * 80 = 640 pixels
  ELSE
   nFontWidth := 7  // 7 * 80 = 560 pixels 
 ENDIF
 IF  aSizeDesktop[2] > 700  // Y hoogte
  nFontHeight := 24 // 24 * 25  = 600 pixels
 ELSEIF aSizeDesktop[2] > 580    
   nFontHeight := 19 // 19 * 25 = 475 pixels
  ELSE
   nFontHeight := 14 // 14 * 25 = 350 pixels
 ENDIF
 oCrt := XbpCrt():New(AppDesktop(),NIL,{50,50},DEF_ROWS,DEF_COLS)
 oCrt:FontWidth  := nFontWidth
 oCrt:FontHeight := nFontHeight
 oCrt:Title      := AppName(TRUE)
 oCrt:icon       := ID_ICON_LOGO
 oCrt:FontName   := CRT_FONT_NAME
 oCrt:Create()
 oCrt:PresSpace() // init presentation space
 SetAppWindow(oCrt) // XbpCrt gets active window and output device
 IF IsColor()
  setcolor("W/B,B/W,N,N,B/W")
 ELSE
  setcolor("W/N,N/W,N,N,N/W")
 ENDIF
RETURN
//
// end of appsys.prg
//

