//
//     File Name: FTRITEST.PRG
//       Project: fischer`techniek interfacing
//   Description: test program for ft COM(30402) interface and robopro interfaces
//      Language: xbase++ 
//           dll: uses umFish40.dll(via ftroboii.prg,obj)
//        Author: Rene Nooteboom
//         Email: r.nooteboom2@chello.nl
//  Date created: 27-08-2005
//  Date updated: 18/08/2006 20:58
//     Exec File: ftritest.exe
//     Copyright: (c) 2005 by Noot Systems Amsterdam
//
#include "inkey.ch"
#include "common.ch"
#include "noot.ch"
#include "ft.ch"
#include "umfish40.ch"
#include "ftritest.ch"
//
STATIC iPortHandle
//
FUNCTION main()
 LOCAL nSelectedMotor:=M1,nkey:=0,i
 Initialize()
 Set Cursor off
 Do WHILE !(LastKey() == K_ESC)
  @ 3,60 SAY nSelectedMotor PICTURE "9"
  FOR i := E1 TO E8
   @ i+2,5 SAY LTOC(FtRSensor(iPortHandle,i))
  Next i
  @ 19,5 SAY FtRAD(iPortHandle,EX) PICTURE "99999999"
  @ 20,5 SAY FtRAD(iPortHandle,EY) PICTURE "99999999"
  DO CASE
   CASE nkey == asc("1")
    nSelectedMotor := M1
   CASE nkey == asc("2")
    nSelectedMotor := M2
   CASE nkey == asc("3")
    nSelectedMotor := M3
   CASE nkey == asc("4")
    nSelectedMotor := M4
   Otherwise
  EndCase
  Do Case
   CASE Upper(Chr(nkey)) == "R" 
    FtRMotor(iPortHandle,nSelectedMotor,MCW)
    @ nSelectedMotor+3,44 SAY "MCW "
   CASE Upper(Chr(nkey)) == "L" 
    FtRMotor(iPortHandle,nSelectedMotor,MCCW)
    @ nSelectedMotor+3,44 SAY "MCCW"
   CASE Upper(Chr(nkey)) == "O" 
    FtRMotor(iPortHandle,nSelectedMotor,MOFF)
    @ nSelectedMotor+3,44 SAY "MOFF"
   OTHERWISE
  EndCase
  UpdateLoops()
  nkey := Inkey(0.01) // wait 0.01s
 EndDo
 CloseApplication()
RETURN NIL
//
PROCEDURE Initialize()
 SetMouse(FALSE)
 Set Scoreboard OFF
 Set Cursor ON
 CLS
 @ 1,2 SAY "Fischer Techniek Interface Diagnose(using umFish40.dll)"
 If ((iPortHandle := FtRInit()) == -1)
  CloseApplication()
 EndIf
 @ 2,2 SAY FtRDeviceInfo(iPorthandle)
 @ 3,1 SAY "E1"
 @ 4,1 SAY "E2"
 @ 5,1 SAY "E3"
 @ 6,1 SAY "E4"
 @ 7,1 SAY "E5"
 @ 8,1 SAY "E6"
 @ 9,1 SAY "E7"
 @ 10,1 SAY "E8"
 @ 3,40 SAY "Selected motor:"
 @ 4,40 SAY "M1  MOFF"
 @ 5,40 SAY "M2  MOFF"
 @ 6,40 SAY "M3  MOFF"
 @ 7,40 SAY "M4  MOFF"
 @ 19,1 SAY "EX"
 @ 20,1 SAY "EY"
 @ 21,1 SAY "Number of loops:"
 @ 22,1 SAY "Use keys: 1-4(-8),L,R,O and escape"
Return
//
PROCEDURE CloseApplication()
 FtRCloseAll()
 Quit
Return
//
PROCEDURE UpdateLoops()
 STATIC nCount := 0
 @ 21,22 SAY ++nCount
RETURN
//
// end FtRitest.prg
//
